org.apache.ignite.internal.processors.query.stat

## Class ObjectPartitionStatisticsObsolescence

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.ObjectPartitionStatisticsObsolescence

All Implemented Interfaces:
  Externalizable, Serializable

    public class ObjectPartitionStatisticsObsolescence
    extends Object
    implements Externalizable

Partition obsolescence tracker.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ObjectPartitionStatisticsObsolescence()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `dirty()`
`void` `dirty(boolean dirty)` Set dirty flag.
`long` `modified()`
`void` `onModified(byte[] key)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectPartitionStatisticsObsolescence

    public ObjectPartitionStatisticsObsolescence()

Constructor.

### Method Detail

#### onModified

    public void onModified(byte[] key)

Parameters:
  `key` - Save specified key in modified keys counter.

#### modified

    public long modified()

Returns:
  The estimated number of modified keys.

#### dirty

    public boolean dirty()

Returns:
  `true` if object has unsaved changes, `false` - otherwise.

#### dirty

    public void dirty(boolean dirty)

Set dirty flag.

Parameters:
  `dirty` - The new dirty flag value.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023